%define major 21
%define libname %mklibname hd %{major}
%define develname %mklibname -d hd

Name:           hwinfo
License:        GPLv2+
Group:          System/Kernel and hardware
Summary:        Hardware Library
Version:        21.38
Release:        %mkrel 1
Source:         https://github.com/openSUSE/hwinfo/archive/%{name}-%{version}.tar.xz
URL:		http://gitorious.org/opensuse/hwinfo
BuildRequires:  doxygen
BuildRequires:  flex
BuildRequires:  perl-XML-Parser
BuildRequires:  perl-XML-Writer
BuildRequires:  udev
BuildRequires:	git-core
%ifarch %{ix86} x86_64
BuildRequires:  libx86emu-devel
%endif

%description
A simple program that lists results from the hardware detection
library.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
This library collects information about the hardware installed on a
system.

%package -n	%{develname}
Summary:        Devel files for %{name}
Group:          Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libhd-devel = %{version}-%{release}

%description -n	%{develname}
This package provides the devel files for %{name}.

%prep
%setup -q
%autopatch -p1
echo  %{version} > VERSION

%build
make LIBDIR=%{_libdir} RPM_OPT_FLAGS="%{optflags}"
make doc

%install
%makeinstall_std LIBDIR=%{_libdir}

install -d -m 755 %{buildroot}%{_mandir}/man8
install -m 644 doc/hwinfo.8 %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_var}/lib/hardware/udi

%files
%doc README.md README-hwprobe.md README-legacy.md
%{_sbindir}/hwinfo
%{_sbindir}/mk_isdnhwdb
%{_sbindir}/getsysinfo
%{_mandir}/man8/*
%dir %{_localstatedir}/lib/hardware
%dir %{_localstatedir}/lib/hardware/udi
%dir %{_datadir}/hwinfo
%{_datadir}/hwinfo/*

%files -n %{libname}
%{_libdir}/libhd.so.%{major}{,.*}

%files -n %{develname}
%doc doc/libhd/html
%{_sbindir}/check_hd
%{_sbindir}/convert_hd
%{_libdir}/libhd.so
%{_libdir}/pkgconfig/hwinfo.pc
%{_includedir}/hd.h


%changelog
* Sun Jan 01 2017 luigiwalser <luigiwalser> 21.38-1.mga6
+ Revision: 1078959
- 21.38

* Tue Nov 29 2016 luigiwalser <luigiwalser> 21.37-1.mga6
+ Revision: 1070894
- 21.37

* Fri Nov 11 2016 luigiwalser <luigiwalser> 21.32-1.mga6
+ Revision: 1066527
- 21.32

* Thu Aug 11 2016 luigiwalser <luigiwalser> 21.30-1.mga6
+ Revision: 1045499
- 21.30

* Mon May 09 2016 luigiwalser <luigiwalser> 21.24-1.mga6
+ Revision: 1011423
- 21.24

* Sun Jan 03 2016 luigiwalser <luigiwalser> 21.23-1.mga6
+ Revision: 918775
- remove patch (should be fixed upstream)
- 21.23

* Sun Jun 21 2015 luigiwalser <luigiwalser> 21.13-1.mga6
+ Revision: 837297
- rediff patch 1
- 21.13

* Wed Oct 15 2014 umeabot <umeabot> 21.6-3.mga5
+ Revision: 742570
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 21.6-2.mga5
+ Revision: 680332
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 21.6-1.mga5
+ Revision: 670133
- 21.6 (tarball from opensuse)
- comment patch 0 (not needed with this tarball)

* Fri Aug 01 2014 guillomovitch <guillomovitch> 21.5-1.mga5
+ Revision: 658897
- new version 21.5

* Thu Dec 12 2013 danf <danf> 20.1-3.mga4
+ Revision: 556398
- Fixed building with git 1.8.4.5

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Feb 17 2013 luigiwalser <luigiwalser> 20.1-1.mga3
+ Revision: 398904
- BR git
- upload correct tarball

  + dams <dams>
    - new version 20.1

* Sat Jan 12 2013 umeabot <umeabot> 20.0-2.mga3
+ Revision: 353785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 27 2012 fedya <fedya> 20.0-1.mga3
+ Revision: 284468
- version update 20.0

* Mon Jun 20 2011 tv <tv> 18.5-1.mga2
+ Revision: 110717
- new release
- drop HAL support
- let's be ARM friendly

* Sun Feb 20 2011 mikala <mikala> 18.3-1.mga1
+ Revision: 54491
- imported package hwinfo

